defmodule WildWeb.BookReadLive.Show do
  use WildWeb, :live_view

  alias Wild.BookReads

  @impl true
  def mount(_params, _session, socket) do
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"id" => id}, _, socket) do
    {:noreply,
     socket
     |> assign(:page_title, page_title(socket.assigns.live_action))
     |> assign(:book_read, BookReads.get_book_read!(id))}
  end

  defp page_title(:show), do: "Show Book read"
  defp page_title(:edit), do: "Edit Book read"
end
